Forum Programmation.SQL Update the postgresql sous gentoo

Posté par (page perso) . Licence CC by-sa
1
9
juil.
2014

Bonjour,

Suite a un update de postgresql sous gentoo, je me retrouve avec un:
FATAL: database files are incompatible with server
DETAIL: The database cluster was initialized with PG_CONTROL_VERSION -1304664743, but the server was compiled with PG_CONTROL_VERSION 937.
HINT: It looks like you need to initdb.
initdb -> pour l'init a vide.
pg_upgrade -d old_data -D data -> il me manque le dossier bin/ que j'ai pas vu, je pense pas que ce soit celui de la distro.
Donc comment (...)